账户会话

POST /core/v1/auth/password

验证旧密码后改密并撤销全部会话

身份要求

账户会话. 会话/管理写操作不在公共 Playground 执行。

接口

curl --request POST 'https://api.oneaster.ai/core/v1/auth/password' \
  --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN" \
  --header 'Idempotency-Key: '"$ONEASTER_INTENT" \
  --header 'Content-Type: application/json' \
  --data "$REQUEST_BODY_JSON"

参数

- Idempotency-Key (header, 必填): {"type":"string","minLength":1,"maxLength":100}

请求 JSON Schema

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "expected_version": {
      "type": "integer",
      "minimum": 1,
      "maximum": 2147483646
    },
    "current_password": {
      "type": "string",
      "maxLength": 128,
      "writeOnly": true
    },
    "reference": {
      "type": "string",
      "minLength": 1,
      "maxLength": 300
    },
    "new_password": {
      "type": "string",
      "minLength": 15,
      "maxLength": 128,
      "writeOnly": true
    }
  },
  "required": [
    "expected_version",
    "current_password",
    "reference",
    "new_password"
  ]
}

响应

200

验证旧密码后改密并撤销全部会话

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": true
        },
        "data": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "version": {
              "type": "integer",
              "minimum": 1
            },
            "reused": {
              "type": "boolean"
            }
          },
          "required": [
            "version",
            "reused"
          ]
        }
      },
      "required": [
        "success",
        "data"
      ]
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}